package org.project.item.consumables;

import org.project.item.Item;

public abstract class Consumable implements Item {

    protected int id;
    protected String name;
    protected int amount;

    public Consumable(String name, int id, int amount) {
        this.name = name;
        this.id = id;
        this.amount = amount;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public int getId() {
        return id;
    }
}
